Package net.shibboleth.shared.xml

# Class XMLConstants

java.lang.Object
net.shibboleth.shared.xml.XMLConstants

public final class XMLConstants extends Object
XML related constants.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`LIST_DELIMITERS`
A string which contains the valid delimiters for the XML Schema 'list' type.
`static final QName`
`XML_BASE_ATTRIB_NAME`
QName for the xml:base attribute.
`static final QName`
`XML_ID_ATTRIB_NAME`
QName for the xml:id attribute.
`static final QName`
`XML_LANG_ATTRIB_NAME`
QName for the xml:lang attribute.
`static final String`
`XML_NS`
XML core namespace.
`static final String`
`XML_PREFIX`
XML core prefix for xml attributes.
`static final QName`
`XML_SPACE_ATTRIB_NAME`
QName for the xml:space attribute.
`static final String`
`XMLNS_NS`
XML namespace for xmlns attributes.
`static final String`
`XMLNS_PREFIX`
XML namespace prefix for xmlns attributes.
`static final String`
`XSD_NS`
XML Schema namespace.
`static final String`
`XSD_PREFIX`
XML Schema QName prefix.
`static final QName`
`XSI_NIL_ATTRIB_NAME`
XML Schema instance `xsi:nil` attribute QName.
`static final QName`
`XSI_NO_NAMESPACE_SCHEMA_LOCATION_ATTRIB_NAME`
XML Schema instance `xsi:noNamespaceSchemaLocation` attribute QName.
`static final String`
`XSI_NS`
XML Schema Instance namespace.
`static final String`
`XSI_PREFIX`
XML Schema Instance QName prefix.
`static final QName`
`XSI_SCHEMA_LOCATION_ATTRIB_NAME`
XML Schema instance `xsi:schemaLocation` attribute QName.
`static final QName`
`XSI_TYPE_ATTRIB_NAME`
XML Schema instance `xsi:type` attribute QName.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`private`
`XMLConstants()`
Constructor.

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### XML_NS

@Nonnull @NotEmpty public static final String XML_NS
XML core namespace.

See Also:
  - Constant Field Values

### XML_PREFIX

@Nonnull @NotEmpty public static final String XML_PREFIX
XML core prefix for xml attributes.

See Also:
  - Constant Field Values

### XML_BASE_ATTRIB_NAME

@Nonnull public static final QName XML_BASE_ATTRIB_NAME
QName for the xml:base attribute.

### XML_ID_ATTRIB_NAME

@Nonnull public static final QName XML_ID_ATTRIB_NAME
QName for the xml:id attribute.

### XML_LANG_ATTRIB_NAME

@Nonnull public static final QName XML_LANG_ATTRIB_NAME
QName for the xml:lang attribute.

### XML_SPACE_ATTRIB_NAME

@Nonnull public static final QName XML_SPACE_ATTRIB_NAME
QName for the xml:space attribute.

### LIST_DELIMITERS

@Nonnull @NotEmpty public static final String LIST_DELIMITERS
A string which contains the valid delimiters for the XML Schema 'list' type. These are: space, newline, carriage return, and tab.

See Also:
  - Constant Field Values

### XMLNS_NS

@Nonnull @NotEmpty public static final String XMLNS_NS
XML namespace for xmlns attributes.

See Also:
  - Constant Field Values

### XMLNS_PREFIX

@Nonnull @NotEmpty public static final String XMLNS_PREFIX
XML namespace prefix for xmlns attributes.

See Also:
  - Constant Field Values

### XSD_NS

@Nonnull @NotEmpty public static final String XSD_NS
XML Schema namespace.

See Also:
  - Constant Field Values

### XSD_PREFIX

@Nonnull @NotEmpty public static final String XSD_PREFIX
XML Schema QName prefix.

See Also:
  - Constant Field Values

### XSI_NS

@Nonnull @NotEmpty public static final String XSI_NS
XML Schema Instance namespace.

See Also:
  - Constant Field Values

### XSI_PREFIX

@Nonnull @NotEmpty public static final String XSI_PREFIX
XML Schema Instance QName prefix.

See Also:
  - Constant Field Values

### XSI_TYPE_ATTRIB_NAME

@Nonnull public static final QName XSI_TYPE_ATTRIB_NAME
XML Schema instance `xsi:type` attribute QName.

### XSI_SCHEMA_LOCATION_ATTRIB_NAME

@Nonnull public static final QName XSI_SCHEMA_LOCATION_ATTRIB_NAME
XML Schema instance `xsi:schemaLocation` attribute QName.

### XSI_NO_NAMESPACE_SCHEMA_LOCATION_ATTRIB_NAME

@Nonnull public static final QName XSI_NO_NAMESPACE_SCHEMA_LOCATION_ATTRIB_NAME
XML Schema instance `xsi:noNamespaceSchemaLocation` attribute QName.

### XSI_NIL_ATTRIB_NAME

@Nonnull public static final QName XSI_NIL_ATTRIB_NAME
XML Schema instance `xsi:nil` attribute QName.

## Constructor Details

### XMLConstants

private XMLConstants()
Constructor.